/*
Theme Name:   Blocksy Child
Theme URI:    https://creativethemes.com/blocksy/
Description:  Blocksy Child Theme
Author:       Your Name
Template:     blocksy
Version:      1.0.0
*/

.home-grid .elementor-container {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-gap: 35px;
	grid-auto-flow: column;
}

.home-grid .elementor-col-50 {
	width: 100%;
}


/* 最强版：Blocksy 标题强制一行，多余隐藏... */
.entry-title,
.entry-title a,
.ct-card-title,
.ct-blog-card .entry-title,
.ct-blog-card .entry-title a {
    white-space: nowrap !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
    display: block !important;
    width: 100% !important;
}

